> 生成proto的命令 

```shell
protoc \                                            
    --go_out=. \
    --go_opt=paths=import \
    --go-grpc_out=. \
    --go-grpc_opt=paths=import \
    --php_out=./php --grpc_out=./php --plugin=protoc-gen-grpc=/usr/local/bin/grpc_php_plugin \
    ./demo1/proto/user.proto
```

> go 运行命令

```shell
# 不带任何参数 会同时运行服务端和客户端进行测试后关闭 监听 1234 端口
go run demo1/main.go

# mode 可以是 client 或者 server 来指定是客户端还是服务端
go run demo2/main.go --mode=server

# 使用 port 参数来指定 监听端口 默认是 1234
go run demo2/main.go --mode=server --port=5000
```